package cn.com.qmth.stmms.biz.distributpaper.service;

import java.util.List;

import cn.com.qmth.stmms.biz.distributpaper.model.TryHistory;

public interface TryHistoryService {

    TryHistory save(TryHistory tryHistory);

    TryHistory findById(Integer id);

    void deleteById(Integer id);

    void delete(TryHistory tryHistory);

    List<TryHistory> getHistoryByScorer(Integer examId, Integer subjectId, Integer blockId, Integer scorer);

    List<TryHistory> findByLibraryId(int libraryId);

    TryHistory findLastByLibraryId(int libraryId);

}
